Bug 1533646 - blueberry runs under both python2 and python3 and spawns two instances of rfkill event
Summary: blueberry runs under both python2 and python3 and spawns two instances of rfk...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: blueberry
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-11 21:25 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2018-09-09 14:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-14 20:55:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1530218 None None None Never

Internal Links: 1530218

Description Dominik 'Rathann' Mierzejewski 2018-01-11 21:25:02 UTC
Description of problem:
blueberry runs under both python2 and python3 and spawns two instances of rfkill event.

Version-Release number of selected component (if applicable):
blueberry-1.1.20-1.fc27.noarch
rfkill-0.5-10.fc27.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. open Bluetooth Device Manager
2. toggle "Show a tray icon" switch off and on
3. ps axf

Actual results:
 7165 ?        S      0:00 /usr/bin/python3 /usr/bin/blueberry
 7166 ?        Sl     0:00  \_ /usr/bin/python2 /usr/lib/blueberry/blueberry.py
 7174 ?        S      0:00      \_ python2 /usr/lib/blueberry/safechild /usr/sbin/rfkill event
 7175 ?        S      0:00      |   \_ /usr/sbin/rfkill event
 7224 ?        S      0:00      \_ /usr/bin/python3 /usr/bin/blueberry-tray
 7226 ?        Sl     0:00          \_ /usr/bin/python2 /usr/lib/blueberry/blueberry-tray.py
 7236 ?        S      0:00              \_ python2 /usr/lib/blueberry/safechild /usr/sbin/rfkill event
 7237 ?        S      0:00                  \_ /usr/sbin/rfkill event

Expected results:
Only one instance of rfkill event should be running.
Only python3 or only python2 should be running blueberry.

Additional info:
Possible duplicate: bug #1530218.

Comment 1 leigh scott 2018-01-11 22:51:16 UTC
It only spawns one here :-)

 1472 ?        Sl     0:06          \_ nm-applet
 1474 ?        Sl     1:29          \_ python3 /usr/bin/dnfdragora-updater
 1481 ?        Sl     0:00          \_ blueberry-obex-agent
 1483 ?        Sl     0:02          \_ nemo-desktop
 1485 ?        Sl     0:00          \_ /usr/libexec/polkit-gnome-authentication-agent-1
 1488 ?        Sl     0:00          \_ /usr/bin/python3 /usr/bin/cinnamon-killer-daemon
 1678 ?        S      0:00          \_ /usr/bin/python3 /usr/bin/blueberry-tray
 1680 ?        Sl     0:00          |   \_ /usr/bin/python2 /usr/lib/blueberry/blueberry-tray.py
 1686 ?        S      0:00          |       \_ python2 /usr/lib/blueberry/safechild /usr/sbin/rfkill event
 1689 ?        S      0:00          |           \_ /usr/sbin/rfkill event
 1679 ?        Sl     1:28          \_ cinnamon-screensaver
  740 ?        Ssl    0:00 /usr/libexec/colord


Can you file it upstream as well please?

https://github.com/linuxmint/blueberry/issues

Comment 2 Dominik 'Rathann' Mierzejewski 2018-01-13 22:09:18 UTC
Well, for me it's 100% reproducible, just flip the systray switch off and on. Filed https://github.com/linuxmint/blueberry/issues/50 . I'm using MATE desktop.

Comment 3 Dominik 'Rathann' Mierzejewski 2018-01-14 20:55:41 UTC
Apparently it's all fine. The second rfkill instance comes from the settings dialog and goes away when it's closed. Sorry for the false alarm.


Note You need to log in before you can comment on or make changes to this bug.